Comment 12 for bug 151327

Unfortunately, some cards (such as the Mobility X1300) don't work under the older ati or radeon drivers, but instead fall back to vesa, so it's basically fglrx or nothing.